<?php
/**
 * Link         :   http://www.phpcorner.net
 * User         :   qingbing<780042175@qq.com>
 * Date         :   2018-10-27
 * Version      :   1.0
 */

namespace Test;

use Helper\Unit;
use TestCore\Tester;

/**
 * Class TestUnit
 * @package Test
 */
class TestUnit extends Tester
{
    /**
     * 执行函数
     * @return mixed|void
     */
    /**
     * @throws \Exception
     */
    public function run()
    {
        // 获取实例的反射类
        $reflection = Unit::getReflectionClass($this);
        var_dump($reflection);
        // 数组合并
        $result = Unit::mergeArray(
            [
                'a' => 'a',
                'b' => [1, 2, 'b' => 'bb']
            ], [
            'b' => ['ccc', 'b' => 'bc'],
            3], [3, 4]);
        var_dump($result);
        // 创建实例
        $instance = Unit::createObject([
            'class' => '\TestClass\ObjectDemo',
            'username' => 'demo',
        ]);
        var_dump($instance);
        // 判断是否是一个合法的日期构成
        $isDate = Unit::isValidDate(2018, 12, 30);
        var_dump($isDate);
        // 判断是否是一个合法的时间构成
        $isTime = Unit::isValidTime(23, 59, 59);
        var_dump($isTime);
        $timestamp = Unit::getTimestamp(23, 59, 59);
        var_dump($timestamp);
        // 判断是否是一个合法的时间构成
        $isTime = Unit::isValidTime(23, 59, 59);
        var_dump($isTime);
        // 判断是否是一个合法的时间构成
        $time = Unit::getFullYear(23);
        var_dump($time);

        // 内存单位转换显示
        var_dump(Unit::switchMemoryCapacity('1025b'));
        var_dump(Unit::switchMemoryCapacity('1075mb', 'gb'));
        var_dump(Unit::switchMemoryCapacity('1025', 'mb', 'kb'));
    }
}